openjdk-21 (21.0.7~8ea-1) unstable; urgency=medium

  [ NOTE: This really is 21.0.7~5ea-1, the version in the last upload was wrong]
  * OpenJDK 21.0.7 early access, build 5.

  [ Vladimir Petko ]
  * d/t/problems.csv: Disable tests failing due to upstream bugs.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Mar 2025 12:19:44 +0100

openjdk-21 (21.0.7~7ea-1) unstable; urgency=medium

  * OpenJDK 21.0.7 early access, build 4.

  [ Vladimir Petko ]
  * d/t/problems.csv: Synchronize problemlist with the master branch.
  * d/rules: Disable dtrace on jammy armhf (was not enabled before and cannot
    be built due to a GCC ICE (see LP #2091225).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Mar 2025 08:27:31 +0100

openjdk-21 (21.0.6+7-1) unstable; urgency=high

  * OpenJDK 21.0.6 release, build 7. Release notes:
    https://mail.openjdk.org/pipermail/jdk-updates-dev/2025-January/040828.html
    - CVEs:
      +  CVE-2025-21502 - 8330045: Enhance array handling.

  [ Vladimir Petko ]
  * d/rules: disable c2 compiler for boot jdk on s390x to avoid ftbfs.
  * d/p/jdk-8347014-proposed.patch: Define MAP_FIXED_NOREPLACE_value for alpha.
  * d/rules: Add -fno-delete-null-pointer-checks for armhf and armel.
    The flag was removed in JDK-8316893 causing JVM lockup.
  * d/rules: Dump complete hs_err_pid and replay_pid logs to stdout.
  * d/rules: create link to jquery-3.7.1.min.js instead of jquery-3.6.1.min.js.
    Also link jquery-ui.min.{js,css} (LP: #2095455).
  * d/{watch,copyright}: regenerate.

  [ Matthias Klose ]
  * Try to work-around a ftbfs on alpha. For now we keep the
    zero-alpha-workaround patch enabled instead of jdk-8347014-proposed.
  * d/rules: Also dump logs for zero builds and for build failures.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jan 2025 08:58:11 +0100

openjdk-21 (21.0.6~6ea-1) unstable; urgency=medium

  * OpenJDK 21.0.6 early access, build 6.
  * Really configure with --enable-dtrace on !s390x.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Dec 2024 09:54:05 +0100

openjdk-21 (21.0.5+11-1) unstable; urgency=high

  * OpenJDK 21.0.5 release, build 8.
    - CVE-2024-21208
    - CVE-2024-21210
    - CVE-2024-21217
    - CVE-2024-21235

  [ Vladimir Petko ]
  * d/rules: do not include dtrace support for S390x (JDK-8305174).
  * d/t/problems.csv: Disable jdk/sun/security/util/Debug/DebugOptions.java
    due to JDK-8339713.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Oct 2024 10:41:47 +0200

openjdk-21 (21.0.5~8ea-1) unstable; urgency=medium

  * OpenJDK 21.0.5 early access, build 8.
  * Refresh patches.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Sep 2024 14:49:33 +0200

openjdk-21 (21.0.5~6ea-1) unstable; urgency=medium

  * OpenJDK 21.0.5 early access, build 6.

  [ Vladimir Petko ]
  * d/p/reproducible-properties-timestamp.diff: Use PrivilegedAction
    to avoid SecurityManager exception.
  * Enable dtrace support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Sep 2024 15:29:08 +0200

openjdk-21 (21.0.4+7-3) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/copyright-generator/strip-common-licenses.sh: Add GPLv3 to the
    list of common licenses.
  * d/p/jdk-8334895-proposed.patch: Fix typo in the patch description.
  * d/JB-*.overrides.in: Update lintian overrides.
  * d/s/lintian-override: Add source-contains-prebuilt-javascript-object
    due to LP: 2032992.
  * d/control.in: Remove duplicate Provides.
  * d/control: Regenerate.
  * d/t/problemlist.csv: Update problemlist.csv for July release
  * d/t/jtreg-autopkgtest.{in,sh}: Increase jtreg test timeouts.

  [ Emmanuel Bourg ]
  * Restore and update the reproducible-properties-timestamp patch.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Aug 2024 10:08:49 +0200

openjdk-21 (21.0.4+7-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/copyright: Regenerate copyright.
  * d/watch: Use fixed googletest version.
  * d/rules, d/t/*: Collate all excluded tests into d/problemlist.csv.
  * d/rules: Enable fallback linker for Foreign Function and Memory API
    on i386 and armhf.
  * d/p/jdk-8336529-proposed.patch: Fix time_t migration issue on armhf.
    openjdk is unable to set file last modified timestamp.
  * d/rules: Enable fallback linker for architectures that do not
    provide a native one.
  * d/rules, d/control.in: Depend on pkgconf rather than pkg-config in
    bookworm and later releases. This resolves lintian warning
    build-depends-on-obsolete-package Build-Depends: pkg-config => pkgconf.
  * d/rules: Drop autotools-dev dependency for the modern debhelper.
    This resolves obsolete autotools-dev dependency lintian warning.
    See #844191.
  * d/t/control.in: allow stderr for smoke tests.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jul 2024 08:37:36 +0200

openjdk-21 (21.0.4+7-1) unstable; urgency=high

  * OpenJDK 21.0.4 release, build 7.
    - CVEs:
      + CVE-2024-21147
      + CVE-2024-21145
      + CVE-2024-21140
      + CVE-2024-21131
      + CVE-2024-21138
    - Security Fixes:
      + JDK-8316138: Added GlobalSign R46 and E46 root CA certificates.
      + JDK-8326891: Native executables and libraries on Linux Use RPATH
        instead of RUNPATH.
      + JDK-8328638: Fallback option for POST-only OCSP requests.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jul 2024 09:31:36 +0200

openjdk-21 (21.0.4~6ea-1) unstable; urgency=medium

  * OpenJDK 21.0.4, build 6 (early access).

  [ Matthias Klose ]
  * Build using GCC 10 for focal.

  [ Vladimir Petko ]
  * Update patches for the snapshot build.
  * d/p/jdk-8331541.patch: Add fix for the link failure against libjvm.so
    on i386. Closes: #1070476.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 29 Jun 2024 07:21:02 +0200

openjdk-21 (21.0.3+9-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * Re-enable running the tests during the build.
  * d/p/8295111.patch: Apply upstream patch to resolve jpackage failure
    to create a deb package.
  * Add autopkgtest to test that JNI applications using the invocation API
    can be linked.
  * Add autopkgtest for libpcsclite initialisation.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Apr 2024 15:34:38 +0200

openjdk-21 (21.0.3+9-1) unstable; urgency=high

  * OpenJDK 21.0.3 release, build 9.
    - CVE-2024-21011, 8319851: Improve exception logging.
    - CVE-2024-21068, 8322122: Enhance generation of addresses.
    - 8318340: Improve RSA key implementations.
    - CVE-2024-21012, 8315708: Enhance HTTP/2 client usage.
  * CVE-2024-21094, 8317507: Already fixed in November 2023:
    C2 compilation fails with "Exceeded _node_regs array".

  [ Vladimir Petko ]
  * d/p/jdk-8329983.patch: apply workaround for JDK-8329983, link failure
    against libjvm.so on armhf due to undefined symbol.

  [ Matthias Klose ]
  * Update the m68k-support patch. Closes: #1068873.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2024 14:07:04 +0200

openjdk-21 (21.0.3~7ea-1) unstable; urgency=medium

  * OpenJDK 21.0.3, build 7 (early access).

  [ Matthias Klose ]
  * Don't try to install jhsdb on armhf with a zero-only build.
  * Remove the GTK 2.x bits.
  * Update cups dependencies for time_t64.

  [ Pushkar Kulkarni ]
  * Corrections to patch arch-add-ports.diff.
  * Fix a typo in the vendor name derivation logic.
  * Copyright generator fixes.

  [ Vladimir Petko ]
  * d/p/jdk-8325028.patch: Apply upstream patch so that pipe channels
    lazily set socket to non-blocking mode on first use by virtual thread.
  * Fix installing the s390x build.
  * Emit warning to install openjdk-*-jre package when fontmanager is
    used, but only openjdk-*-jre-headless is installed.
  * Add support to build --with-hsdis=binutils, but keep it off by default.
  * Run the hotspot and jdk autopkg tests on all architectures.
  * Add bash, lsb-release and xauth as dependencies for autopkg tests.
  * Build openjdk-21-testsupport packages, containing the binaries
    required to run the autopkg tests.
  * d/t/{hotspot,jdk}-autopkgtest.{sh, in}: Set default arguments to
    tier1 tests, otherwise pass user's arguments while setting correct
    test directory and native path.
  * Fix lintian override package name.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Mar 2024 03:18:28 +0100

openjdk-21 (21.0.3~6ea-1) unstable; urgency=medium

  * OpenJDK 21.0.3, build 6 (early access).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Mar 2024 11:04:33 +0100

openjdk-21 (21.0.2+13-3) unstable; urgency=medium

  * libcups2, libfontconfig1: Make it a recommends in jre-headless,
    a dependency in jre.
  * Make the dependencies for libfontmanager.so and libjsound.so
    recommendations in jre-headless, and dependencies in jre.
  * Drop build dependencies on libgtk2 | libgtk3.
  * Disable running the tests for the time_t64 bootstrap.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Mar 2024 16:00:47 +0100

openjdk-21 (21.0.2+13-2) unstable; urgency=medium

  [ Matthias Klose ]
  * d/changelog: Whitespace cleanup.
  * Update build dependency on libfontconfig-dev.
  * Apply proposed patch for JDK-8307977. Addresses: #1034600.

  [ Vladimir Petko ]
  * Apply proposed fix for JDK-8242564 to resolve Java 21 FTBFSes.
    Closes: #1057500, #1057508, #1057519.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Jan 2024 09:11:26 +0100

openjdk-21 (21.0.2+13-1) unstable; urgency=high

  * OpenJDK 21.0.2 release, build 13.
    - CVEs:
      + CVE-2024-20918
      + CVE-2024-20919
      + CVE-2024-20921
      + CVE-2024-20945
      + CVE-2024-20952
    - Security fixes:
      + JDK-8308204: Enhanced certificate processing.
      + JDK-8314295: Enhance verification of verifier.
      + JDK-8314307: Improve loop handling.
      + JDK-8314468: Improve Compiler loops.
      + JDK-8316976: Improve signature handling.
      + JDK-8317547: Enhance TLS connection support.

  [ Pushkar Kulkarni ]
  * debian/copyright: Fix whitespace issues.
  * Minor improvements to the copyright-generator.

  [ Vladimir Petko ]
  * d/copyright: Fix lintian warning.
  * Generate d/watch to cope with early access and release builds.

  [ Matthias Klose ]
  * Add sparc64 defines (patch by Adrian Glaubitz). Closes: #1057390.
  * d/copyright: Fix source location.
  * Update the arch-add-ports patch, taken from 22.
  * Regenerate debian files.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jan 2024 13:14:57 +0100

openjdk-21 (21.0.1+12-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/rules: pack external debug symbols with build-id, do not strip
    JVM shared libraries. LP: #2012326, LP: #2016739.

  [ Pushkar Kulkarni ]
  * debian/copyright: Update copyrights and notices, using a generator script.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 11:20:35 +0100

openjdk-21 (21.0.1+12-1) unstable; urgency=high

  * OpenJDK 21.0.1 release, build 12.
    - CVE-2023-22081, CVE-2023-22025.
    - Release notes:
      https://www.oracle.com/java/technologies/javase/21-0-1-relnotes.html

  [ Matthias Klose ]
  * Build-depend on OpenJDK 21 in releases where it already exists.

  [ Pushkar Kulkarni ]
  * debian/copyright: Update copyrights and notices.

  [ Vladimir Petko ]
  * d/p/build_test.patch: Use openjdk-17 patch for backports compatibility.
  * d/watch: use release version format.
  * d/copyright: include google test license.
  * d/rules, d/watch: bundle google test library.
  * d/patches: remove build_gtest.patch.
  * d/tests: refresh problem lists.
  * d/p/exclude_broken_tests.patch: drop patch.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Oct 2023 09:45:32 +0200

openjdk-21 (21+35-1) unstable; urgency=medium

  * OpenJDK 21 release build, (no changes).

  [ Matthias Klose ]
  * Build-depend on the unversioned libfreetype-dev.
  * Build zero on loong64.
  * Change upstream VCS to https://github.com/openjdk/jdk21u.

  [ Pushkar Kulkarni ]
  * Enable JdiListeningLocalhostExecutionControlTest.java again.

  [ Vladimir Petko ]
  * Run tests on Ubuntu 22.04 LTS and 20.04 LTS.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Sep 2023 06:39:23 +0200

openjdk-21 (21~35ea-1) unstable; urgency=medium

  * OpenJDK 21 snapshot, Build 35 (first release candidate).

  [ Pushkar Kulkarni ]
  * d/p/series - The jaw-classpath and jaw-optional patches help work around
    the problem of an application being unable to load ATK wrapper classes
    since the introduction of the JPMS(JDK9). With openjdk-8, these classes
    were loaded as extension classes from jre/lib/ext. The best alternative
    today is that the user makes sure java-atk-wrapper is installed, modifies
    the accessibility.properties file to enable ATK and sets the CLASSPATH to
    point to the location of the ATK jar. These patches have been dropped on
    openjdk-11 and openjdk-17 previously.

  [ Matthias Klose ]
  * Explicitly configure --without-jtreg with the nocheck profile

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Aug 2023 08:43:29 +0200

openjdk-21 (21~32ea-1) unstable; urgency=medium

  * OpenJDK 21 snapshot, Build 32.

  [ Vladimir Petko ]
  * d/t/jtreg-autopkgtest.{sh,in}: JDK-8232153 - set NSS_DEFAULT_DB_TYPE
    to let sun/security/pkcs11/Secmod/AddTrustedCert.java pass.
  * d/p/exclude-broken-tests.patch: quarantine pkcs11 tests failing with NSS 3.91.
  * d/t/problems-armhf.txt: quarantine armhf failing tests:
    - java/net/httpclient/ManyRequestsLegacy.java: SSL request timeout.
    - java/util/Random/RandomTestBsi1999.java: deadlock in CI.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Jul 2023 10:52:07 +0200

openjdk-21 (21~30ea-1) unstable; urgency=medium

  * OpenJDK 21 snapshot, Build 30.

  * Link with --no-as-needed. Closes: #1031521.
  * d/rules: Remove EXTRA_.*FLAGS_JDK macros.
  * Fix FTCBFS: Add libffi-dev:native to B-D (Helmut Grohne). Closes: #1039946.
  * Build using GCC 13.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Jul 2023 14:11:47 +0200

openjdk-21 (21~29ea-1) unstable; urgency=medium

  * OpenJDK 21 snapshot, Build 29.

  [ Vladimir Petko ]
  * Fix bootstrapping with an OpenJDK 20 zero VM.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Jun 2023 11:22:43 +0200

openjdk-21 (21~28ea-2) unstable; urgency=medium

  * Update VCS attributes.
  * Provide versioned java-runtime, java-runtime-headless, java-sdk
    and java-sdk-headless virtual packages (Emmanuel Bourg).
  * Add support for arc (untested), hppa (untested) and ia64.
  * Configure --with-stdc++lib=static on ia64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Jun 2023 07:21:14 +0200

openjdk-21 (21~28ea-1) unstable; urgency=medium

  * OpenJDK 21 snapshot, Build 28.
  * Add support for alpha, m68k, ppc, sh, x32.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Jun 2023 07:48:49 +0200

openjdk-21 (21~27ea-4) unstable; urgency=medium

  * debian/rules: Correctly set BOOT_JDK_HOME.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Jun 2023 20:53:53 +0200

openjdk-21 (21~27ea-3) unstable; urgency=medium

  * Regenerate autopkg test scripts.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Jun 2023 14:51:08 +0200

openjdk-21 (21~27ea-2) unstable; urgency=medium

  * OpenJDK 21 snapshot, Build 27.

  [ Vladimir Petko ]
  * Also disable tests on trixie. No jtreg7 yet.
  * debian/copyright: Convert to a machine-readable format.
  * debian/copyright: Align excludes statement with openjdk-17.
  * debian/watch: Add ea repack suffix.
  * Fix build on mipsel and mips64el.
  * Move ct.sym from the jre into the jdk package.

  [ Matthias Klose ]
  * Enable tests for trixie and unstable.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Jun 2023 08:56:39 +0200

openjdk-21 (21~26ea-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/rules: only compile google tests when with_check is enabled,
    disable them for bullseye and jammy.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Jun 2023 06:29:28 +0200

openjdk-21 (21~26ea-1) unstable; urgency=medium

  * OpenJDK 21 snapshot, Build 26.

  [ Vladimir Petko ]
  * d/p/*: refresh patches.
  * Copy OpenJDK 20 packaging changes:
    - d/rules: pack external debug symbols with build-id, do not pack duplicate
      symbols, do not strip JVM shared libraries (LP: #2012326, LP: #2016739).
    - d/{control, compat}: update debhelper-compat version, add jtreg7
      dependencies, regenerate control.
    - d/t/{jdk,hotspot,jaxp,lantools}: run tier1 and tier2 jtreg tests only,
      add test options from OpenJDK makefile.
    - d/t/*: fix test environment: add missing -nativepath (LP: #2001563).
    - d/t/jdk: provide dbus session for the window manager (LP: #2001576).
    - d/p/build_gtest.patch: build OpenJDK with the system googletest
      (LP: #2012316).
  * d/p/*: add patches for jtreg tests:
    - misalign-pointer-for-armhf.patch: packaging-specific patch to fix test
      failure introduced by d/p/m68k-support.diff.
    - log-generated-classes-test.patch: workaround JDK-8166162.
    - update-permission-test.patch: add security permissions for testng 7.
    - ldap-timeout-test-use-ip.patch, test-use-ip-address.patch:
      Ubuntu-specific patches to workaround missing DNS resolver on the build
      machines.
    - exclude_broken_tests.patch: quarantine failing tests.
  * Enable ppc64el JRE zero build as JDK-8299476 is fixed.
  * Known issues:
    - amd64: test/jdk/sun/security/pkcs11/KeyStore/CertChainRemoval.java:
      https://mail.openjdk.org/pipermail/jdk-dev/2023-May/007836.html
    - s390x: test/hotspot/jtreg/runtime/NMT/VirtualAllocCommitMerge.java:
      https://mail.openjdk.org/pipermail/hotspot-dev/2023-June/075316.html

  [ Matthias Klose ]
  * Fix jaxp.properties installation.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Jun 2023 17:54:09 +0200

openjdk-21 (21~14ea-1) UNRELEASED; urgency=medium

  [ Vladimir Petko ]
  * OpenJDK 21 snapshot, Build 14.
  * d/copyright, d/watch: implement uscan repackaging (LP: #2011749).
  * d/rules: use --with-debug-symbols=none (LP: #2003820).
  * debian/JB-jre-headless.postinst.in: trigger ca-certificates-java after jre
    is set up.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Jun 2023 17:15:22 +0200

openjdk-21 (21~7ea-1) unstable; urgency=medium

  * OpenJDK 21 snapshot, build 7.
  * Don't build zero on ppc64el for now, see JDK-8298655.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Jan 2023 10:32:21 +0100

openjdk-21 (21~3ea-2) unstable; urgency=medium

  * Fix autopkg test dependencies.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Dec 2022 15:35:45 +0100

openjdk-21 (21~3ea-1) unstable; urgency=medium

  * OpenJDK 21 snapshot, build 3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Dec 2022 21:06:42 +0100

openjdk-21 (21~1ea-1) unstable; urgency=medium

  * OpenJDK 21 snapshot, build 1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Dec 2022 14:14:44 +0100

openjdk-20 (20~26ea-1) unstable; urgency=medium

  * OpenJDK 20 snapshot, build 26 (rampdown phase one).
  * Handle jtreg package name for backports.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Dec 2022 12:34:21 +0100

openjdk-20 (20~20ea-1) unstable; urgency=medium

  * OpenJDK 20 snapshot, build 20.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Oct 2022 10:28:19 +0200

openjdk-20 (20~17ea-2) unstable; urgency=medium

  * Also include the classlist file for zero builds.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Oct 2022 11:18:06 +0200

openjdk-20 (20~17ea-1) unstable; urgency=medium

  * OpenJDK 20 snapshot, build 17.
  * Refresh patches.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Sep 2022 19:40:13 +0200

openjdk-19 (19+36-2) unstable; urgency=medium

  * Enable hotspot on riscv64. Closes: #1020545.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Sep 2022 16:16:51 +0200

openjdk-19 (19+36-1) unstable; urgency=medium

  * OpenJDK 19 release.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Sep 2022 14:55:13 +0200

openjdk-19 (19~32ea-1) unstable; urgency=medium

  * OpenJDK 19 snapshot, build 32.
  * Re-enable running the test suite.
  * Only try to re-run failed tests once instead of three times.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Jul 2022 10:25:56 +0200

openjdk-19 (19~31ea-1) unstable; urgency=medium

  * OpenJDK 19 snapshot, build 31.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Jul 2022 11:04:08 +0200

openjdk-19 (19~23ea-1) unstable; urgency=medium

  * OpenJDK 19 snapshot, build 23.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 May 2022 11:55:51 +0200

openjdk-19 (19~20ea-1) unstable; urgency=medium

  * OpenJDK 19 snapshot, build 20.
  * Refresh patches.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 May 2022 18:32:32 +0200

openjdk-18 (18~36ea-1) unstable; urgency=medium

  * OpenJDK 18 snapshot, build 36 (first release candidate).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Feb 2022 09:22:24 +0100

openjdk-18 (18~32ea-1) unstable; urgency=medium

  * OpenJDK 18 snapshot, build 32.
  * Add jwebserver into the openjdk-jdk-headless package.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Jan 2022 11:45:56 +0100

openjdk-18 (18~20ea-1) unstable; urgency=medium

  * OpenJDK 18 snapshot, build 20.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Oct 2021 08:36:16 +0200

openjdk-18 (18~15ea-4) unstable; urgency=medium

  * Fix installation of the zero VM, now installed as zero, not as server.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Sep 2021 18:43:49 +0200

openjdk-18 (18~15ea-1) unstable; urgency=medium

  * OpenJDK 18 snapshot, build 15.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Sep 2021 10:10:47 +0200

openjdk-18 (18~12ea-1) unstable; urgency=medium

  * OpenJDK 18 snapshot, build 12.
  * Encode the early-access status into the package version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Aug 2021 12:46:22 +0200

openjdk-18 (18~2-1) experimental; urgency=medium

  * OpenJDK 18 snapshot, build 2.
  * Only build using lto with GCC 11.
  * Build using GCC 11 in recent distributions.
  * Remove rimd, removed upstream.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Jun 2021 15:00:57 +0200

openjdk-17 (17~24-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 24.
  * Drop the work around for JDK 8211105.
  * Remove jaotc (the experimental JIT compiler), removed upstream.
  * Add an (unapplied) patch to replace OASIS header files with ones
    imported from NSPR and NSS. See #985765.  Not reviewed, not applying.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 May 2021 11:26:59 +0200

openjdk-17 (17~19-1) unstable; urgency=high

  * OpenJDK 17 snapshot, build 19.
    - Fix JDK-8250568: Less ambiguous processing (CVE-2021-2161).
    - Fix JDK-8249906: Enhance opening JARs (CVE-2021-2163).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Apr 2021 09:51:43 +0200

openjdk-17 (17~17-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 17.
  * Refresh patches.
  * Prefer to build using openjdk-17 instead of -16. Closes: #986526.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Apr 2021 09:37:40 +0200

openjdk-17 (17~15-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 15.
  * Fix another upstream typo to build with external harfbuzz. Closes: #985668.
  * Disable running the tests on mipsel and mips64el.  Times out, and if it
    succeeds, it taken at least five days to run.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Mar 2021 10:31:15 +0100

openjdk-17 (17~14-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 14.
  * Don't use the triplet-prefixed binutils tools for backports.
  * Simplify compiler selection for backports.
  * Fix build with older glibc versions. See JDK-8262501.
  * Apply untested patch suggested to fix mips issue. See #983878.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Mar 2021 19:42:16 +0100

openjdk-17 (17~11-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 11.
  * Configure --with-copyright-year. Addresses: #956154.
  * Restore the libpcsclite-dlopen patch. Closes: #983465.
  * Don't run the testsuite on armel and riscv64. Crashing the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Feb 2021 10:33:32 +0100

openjdk-17 (17~10-2) unstable; urgency=medium

  * Fix the build logic, jaotc and jhsdb tools not available on all archs.
  * Ship the jfc files used by jfr.
  * reproducible-build-jmod.diff: Fall back to the unpatched behavior
    for backports.
  * Only build with system harfbuzz for recent releases.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Feb 2021 12:02:45 +0100

openjdk-17 (17~10-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 10.
  * Fix building with OpenJDK 17 as the boot jdk.
  * Build with Rules-Requires-Root: no.
  * Move libawt_xawt.so, libjawt.so into the jre package. Addresses: #908058.
  * Move the jfr binary from -jre-headless to -jdk-headless. Development tool.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2021 13:12:19 +0100

openjdk-17 (17~9-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 9.
  * Enable running the tests.
  * Remove the disable-doclint-by-default patch. Was not applied anymore
    in 17.  Closes: #982521.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Feb 2021 10:13:25 +0000

openjdk-17 (17~8-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 8.
  * Don't try to apply the removed alpha-float-const patch.
  * Drop the powerpcspe packaging bits.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Feb 2021 14:35:28 +0100

openjdk-17 (17~7-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 7.
  * Update watch file.
  * Use debugedit to generate unique build-id's and remove the openjdk-N-dbg
    file conflicts.
  * Remove KFreeBSD build support and patches, not updated since OpenJDK 8.
  * Remove obsolete patches: alpha-float-const, libpcsclite-dlopen,
    parallel-build-fix, s390x-thread-stack-size.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2021 14:52:27 +0100

openjdk-17 (17~5-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 5.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2021 10:29:50 +0100

openjdk-17 (17~4-0ubuntu1) hirsute; urgency=medium

  * OpenJDK 17 snapshot, build 4.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Jan 2021 17:25:46 +0100

openjdk-17 (17~3-1) experimental; urgency=medium

  * OpenJDK 17 snapshot, build 3.
  * OpenJDK 17 is supposed to be the next OpenJDK LTS release seeing extended
    updates and security support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Dec 2020 13:57:12 +0100

openjdk-16 (16~29-1) unstable; urgency=medium

  * OpenJDK 16 snapshot, build 29.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Dec 2020 12:44:30 +0100

openjdk-16 (16~27-2) unstable; urgency=medium

  * Fix installation on sparc64.
  * Link with libatomic for more zero builds.
  * Re-enable zero on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Dec 2020 10:01:45 +0100

openjdk-16 (16~27-1) unstable; urgency=medium

  * OpenJDK 16 snapshot, build 27.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Dec 2020 16:42:51 +0100

openjdk-16 (16~14-1) experimental; urgency=medium

  * OpenJDK 16 snapshot, build 14.
  * Build with system harfbuzz.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Nov 2020 14:35:22 +0100

openjdk-15 (15.0.1+9-3) unstable; urgency=medium

  * Don't enabled shenandoahgc explicitly.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Nov 2020 08:54:13 +0100

openjdk-15 (15.0.1+9-2) unstable; urgency=medium

  * Update debian/copyright.
  * Configure --with-jvm-features=shenandoahgc for hotspot builds.
    LP: #1902029.
  * Replace the upstream test suite in the autopkg tests with two superficial
    tests. It doesn't make any sense to run the whole test suite again,
    after running it during the build.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Nov 2020 16:55:34 +0100

openjdk-15 (15.0.1+9-1) unstable; urgency=medium

  * OpenJDK 15.0.1 release, build 9.
  * Build just zero on sparc64 (Adrian Glaubitz). Closes: #965342.
  * Call strip-nondeterminism before computing jmod hashes (Julian Gilbey).
  * Don't run the jdk tests as an autopkg test, taking too long.
    Closes: #970606.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Oct 2020 16:46:35 +0200

openjdk-15 (15+36-1) unstable; urgency=medium

  * OpenJDK 15 release, build 36.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Sep 2020 14:08:36 +0200

openjdk-15 (15~32-2) unstable; urgency=medium

  * debian/copyright (remove licenses not found anymore in the sources):
    - Little CMS, libpng, GIFLIB.
  * Stop building zero on armhf, ftbfs.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Jul 2020 10:36:08 +0200

openjdk-15 (15~32-1) unstable; urgency=medium

  * OpenJDK 15 snapshot, build 32.
  * Build again with -march=zEC12 on Ubuntu/s390x.
  * Re-add missing parts of the riscv64 patch.
  * Run the tests on release architectures.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Jul 2020 15:30:05 +0200

openjdk-15 (15~19-1) unstable; urgency=medium

  * OpenJDK 15 snapshot, build 19.
  * Configure --with-jtreg=/usr/share/jtreg
  * Build with -march=z13 -mtune=z15 on Ubuntu/s390x.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Apr 2020 11:53:19 +0200

openjdk-15 (15~18-1) unstable; urgency=medium

  * OpenJDK 15 snapshot, build 18.
    - Stop shipping the rmic command.
  * Make autopkgtests cross-test-friendly (Steve Langasek). LP: #1861467.
  * d/tests/jtreg-autopkgtest.in: keep generated hs_err log files
    with test artifacts to improve later debug (Tiago Stürmer Daitx).
  * d/tests/jtdiff-autopkgtest.in: set default vm to correctly locate (Tiago
    Stürmer Daitx)
  * jhsdb isn't built on sh4 (Adrian Glaubitz). Addresses: #951774.
  * Enable zero for armhf again.
  * Enable running the tests again, jtreg now updated to 6.0.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Apr 2020 21:16:21 +0200

openjdk-15 (15~11-1) unstable; urgency=medium

  * OpenJDK 15 snapshot, build 11.
  * Don't apply the disable-doclint-by-default patch, it should be possible
    to disable those by command line options.
  * Don't apply the reproducible-javadoc-timestamp patch. Needs an update.
  * Refresh patches.
  * Update all the provides for 15.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Feb 2020 09:48:57 +0100

openjdk-14 (14~36-1) unstable; urgency=medium

  * OpenJDK 14 snapshot, build 36 (first release candidate).
  * Regenerate the control file. Closes: #942783.
  * Fix FTCBFS (Helmut Grohne). Closes: #949460.
    - Missing Build-Depends: zlib1g-dev:native.
    - Use triplet-prefixed objcopy and strip.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Feb 2020 09:08:15 +0100

openjdk-14 (14~32-1) unstable; urgency=medium

  * OpenJDK 14 snapshot, build 32.
  * Make the generated character data source files reproducible (Emmanuel
    Bourg). Addresses: #933339.
  * Make the generated module-info.java files reproducible (Emmanuel Bourg).
    Addresses: #933342.
  * Make the generated copyright headers reproducible (Emmanuel Bourg).
    Addresses: #933349.
  * Make the build user reproducible (Emmanuel Bourg). Addresses: #933373.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Jan 2020 23:31:42 +0100

openjdk-14 (14~31-1) unstable; urgency=medium

  * OpenJDK 14 snapshot, build 31.
  * openjdk-14-dbg: Conflict with openjdk-13-dbg as well. Closes: #942783.
  * Configure with --enable-deprecated-ports=yes on sparc64. Closes: #946723.
  * disable Zero on sparc64. Closes: #946766.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jan 2020 15:19:43 +0100

openjdk-14 (14~27-1) unstable; urgency=medium

  * OpenJDK 14 snapshot, build 27.
  * Fix the jtreg consistency check when building without jtreg.
  * Don't call dh_strip_nondeterminism when building for older releases.
  * Fix disabling the zero build on arm64 on trusty.
  * Re-enable running the tests.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Dec 2019 11:21:53 +0100

openjdk-14 (14~19-1) unstable; urgency=medium

  * OpenJDK 14 snapshot, build 19.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Oct 2019 08:26:17 +0200

openjdk-14 (14~18-1) experimental; urgency=medium

  * OpenJDK 14 snapshot, build 18.
  * Bump standards version.
  * Use dh_strip_nondeterminism (Emmanuel Bourg). Addresses: #933389.
  * Fix 8230708, server build on sparc64 (Adrian Glaubitz). Closes: #939565.
  * Fix FTBFS with DEB_BUILD_PROFILES=nocheck (Helmut Grohne).
    Addresses: #939521.
  * Fix debug and src symlinks. Addresses: #893134, #910694, #910696.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Oct 2019 11:05:23 +0200

openjdk-14 (14~14-2) experimental; urgency=medium

  * OpenJDK 14 snapshot, build 14.
  * Don't build zero on armhf, still broken.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Sep 2019 17:54:43 +0200

openjdk-14 (14~13-1) experimental; urgency=medium

  * OpenJDK 14 snapshot, build 13.
  * Properly generate Breaks: rules for bionic (fix typo).
  * Remove libgtk-3-dev from build-deps: libgtk-3-dev is not actually
    required, package builds fine without it; libgtk2.0-0 or libgtk-3-0
    should be explicitly declared instead in bdeps and tests;
    libxrandr-dev should be explicitly added as it is required and was
    being included due to libgtk-3-dev dependency.
  * Set minimum dependency on jtreg based on testsuite requirements.
  * Fail during pre-build if installed jtreg version is lower then
    the minimum required version.
  * Improve and fix build tests and autopkgtests:
    - Depend on default-jre-headless so jtreg will use the
      JRE from /usr/default-java; remove JT_JAVA exports as it
      no longer needs to be set.
    - Update debian/tests/hotspot,jdk,langtools to ignore
      jtreg-autopkgtest.sh return code.
    - Create debian/tests/jtdiff-autopkgtest.in as it depends
      on debian/rules variables.
    - debian/tests/jtreg-autopkgtest.sh:
      + Enable retry of failed tests to trim out flaky tests.
      + Fix unbound variable.
      + Keep .jtr files from failed tests only.
    - debian/tests/jtdiff-autopkgtest.sh:
      + Fail only if an actual regression is detected.
      + Add the super-diff comparison from jtdiff.
    - debian/rules:
      + Preserve all JTreport directories in the test output
        directory.
      + Use JDK_DIR instead of JDK_TO_TEST for autopkgtest
        generation.
      + Package all .jtr files from JTwork as jtreg-autopkgtest.sh
        makes sure it contains only failing tests.
  * Bump standards version.
  * Try to build zero on armhf again.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2019 08:22:27 +0200

openjdk-14 (14~6-0ubuntu1) eoan; urgency=medium

  * OpenJDK 14 snapshot, build 6.
  * Fix dependency generation on the libjpeg runtime. Addresses: #927965.
  * Drop dependency on transitional libgl1-mesa-glx package. Addresses: #930611.
  * Fix more build issues for Ubuntu precise builds.
  * Don't install jhsdb on riscv64 (Aurelian Jarno).
  * Tighten dependency on jtreg.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Jul 2019 17:44:41 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog openjdk-21-doc`.
